Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Authorizations


Overview

This section describes how to make a successful authorization request.

A successful request returns a 200-level HTTP response code.

Follow-on Transactions

After the initial transaction is complete, additional follow-on transactions can be made as Merchant-Initiated Transactions (MITs).

Supported processors: Chase Paymentech Solutions, Elavon Americas, FDC Nashville Global, Streamline, , Worldpay VAP

Endpoint

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "processingInformation": {    "paymentSolution": "012"  },  "paymentInformation": {    "fluidData": {      "value": "ABCDEFabcdefABCDEFabcdef0987654321234567"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "102.21",      "currency": "USD"    },    "billTo": {      "firstName": "John",      "lastName": "Doe",      "address1": "123 Happy Street",      "locality": "Ann Arbor",      "administrativeArea": "MI",      "postalCode": "48104-2201",      "country": "US",      "email": "[email protected]"    }  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6805343125426255503955/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6805343125426255503955"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6805343125426255503955/captures"    }  },  "clientReferenceInformation": {    "code": "TC50171_3"  },  "id": "6805343125426255503955",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "102.21",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "pointOfSaleInformation": {    "terminalId": "111111"  },  "processorInformation": {    "approvalCode": "888888",    "networkTransactionId": "123456789619999",    "transactionId": "123456789619999",    "responseCode": "100",    "avs": {      "code": "X",      "codeRaw": "I1"    }  },  "reconciliationId": "65301815QFTXZAN6",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-04-03T15:05:12Z"}

These fields are required for a successful authorization.

Required Fields for Authorizations
orderInformation.amountDetails.currency string
orderInformation.amountDetails.totalAmount string
orderInformation.billTo.address1 string
orderInformation.billTo.administrativeArea string
orderInformation.billTo.country string
orderInformation.billTo.email string
orderInformation.billTo.firstName string
orderInformation.billTo.lastName string
orderInformation.billTo.locality string
orderInformation.billTo.postalCode string
paymentInformation.fluidData.value string

Set to the string value generated from the full wallet response.

processingInformation.paymentSolution string

Set to 012.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.